Name: troll-ftpd+ident
Version: 1.22
Release: 8b
Copyright: freeware
URL: http://www.troll.no/freebies/ftpd.html
Source: ftp://ftp.troll.no/freebies/ftpd/troll-ftpd-1.22.tar.gz
Source1: mkusers.cron
Source2: ftplockout
Source3: ftp://ftp.lysator.liu.se/pub/ident/libs/libident-0.21.tar.gz
Patch0: troll-ftpd-1.22-glibc.patch
Patch1: troll-ftpd-1.22-pam.patch
Patch2: troll-ftpd-1.22-location.patch
Patch3: troll-ftpd-1.22-xcommands.patch
Patch4: troll-ftpd-1.22-manpage.patch
Patch5: troll-ftpd-1.22-ident.patch
Patch6: libident-0.21-hurricane.patch
Patch7: troll-ftpd-1.22-guest.patch
Patch8: troll-ftpd-1.22-bind-port-to-range.patch
Patch9: troll-ftpd-1.22-long-login-name.patch
Group: Networking/Daemons
Provides: ftpserver
Conflicts: wu-ftpd, anonftp
BuildRoot: /tmp/troll-ftpd-root/
Summary: A small, more secure FTP daemon
Packager: Arkadi E. Shishlov <arkadi@kvin.lv>

%description
This is Troll Tech's freeware FTPd. It's designed to be small, use less
resources, and to not execute external programs. It supports only the most-used
features and commands of FTP, leaves out depreciated or meaningless commands,
and anything that correlates with trouble.

It supports virtual hosts, FTP-only accounts, anonymous FTP, RFC 1413
identification protocol support, and suspension of downloads after a
certain load average is reached. This version has been PAMified for
your protection.

%changelog
* Wed Aug 26 1998 Arkadi E. Shishlov <arkadi@kvin.lv>
- Add bind-port-to-range and long-login-name patch, no changes in manual.

* Wed May 6 1998 Vladimir Ivanov <vlad@elis.tasur.edu.ru>
- Remove all stuff from %post that changes inetd.conf file.

* Mon Apr 27 1998 Vladimir Ivanov <vlad@elis.tasur.edu.ru>
- Added RFC1413 identification protocol support 
- Fixed dopass() bug then guest already logged in
- Minor cosmetic changes

* Mon Jan 12 1998 Scott Lampert <fortunato@heavymetal.org>
- Changed RPM to include pre-built ftplockout file
- Modified man page to include documentation on some of the
  changes from the standard distribution (namely PAM stuff)

* Wed Jan 07 1998 Scott Lampert <fortunato@heavymetal.org>
- Made changes and added necessary includes for compilation under glibc
- fixed a #define change (PAM_CRED_ESTABLISH is now PAM_ESTABLISH_CRED)
  in log_pam.c 

* Sat Nov 1 1997 Ximenes Zalteca <ximenes@mythic.net> 1.22-2
- Added support for XPWD, XRMD, and XMKD (treated exactely like PWD, RMD, 
  and MKD). This is necessary for at least the FTP.EXE that ships with Windows
  95, and possibly for other "broken" clients.

* Tue Oct 7 1997 Ximenes Zalteca <ximenes@mythic.net> 1.22-1
- Updated to 1.22
- Added PAM support, thanks to Kelley L. <redhat@cococo.net>

* Tue Aug 26 1997 Ximenes Zalteca <ximenes@mythic.net> 1.21-1
- Initial release

%prep
%setup -n troll-ftpd-1.22
%setup -D -T -a 3 -n troll-ftpd-1.22
%patch0 -p1 
%patch1
%patch2
%patch3
%patch4 -p1
%patch5
%patch6
%patch7
%patch8 -p1
%patch9 -p1

%build
(cd libident-0.21; make linux)
make RPM_OPT_FLAGS="${RPM_OPT_FLAGS}"
strip ftpd mkusers

%install
mkdir -p ${RPM_BUILD_ROOT}/etc/pam.d/
mkdir -p ${RPM_BUILD_ROOT}/var/ftp/
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin/
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man8/
make install RPM_BUILD_ROOT="${RPM_BUILD_ROOT}"
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily/
install -c ${RPM_SOURCE_DIR}/mkusers.cron ${RPM_BUILD_ROOT}/etc/cron.daily/
install -c ${RPM_SOURCE_DIR}/ftplockout ${RPM_BUILD_ROOT}/etc

%post
/usr/sbin/mkusers

echo 'Add something like this to your inetd.conf :'
echo '      ftp stream tcp nowait root /usr/sbin/ftpd /usr/sbin/ftpd'
echo 'Then restart inetd :'
echo '      killall -HUP inetd'

%postun

echo 'Remove troll-ftpd from inetd.conf and restart inetd by invoking command :'
echo '      killall -HUP inetd'

%clean
if [ ! ${RPM_BUILD_ROOT} = / ]; then
  rm -rf ${RPM_BUILD_ROOT} ;
fi

%files
%attr(755, root, root) %dir /var/ftp/
%attr(-, root, root) %doc COPYING README
%attr(-, root, root) /usr/man/man8/ftpd.8
%attr(-, root, root) /usr/sbin/ftpd
%attr(-, root, root) /usr/sbin/mkusers
%attr(0644, root, root) %config /etc/pam.d/ftp
%attr(0755, root, root) %config /etc/cron.daily/mkusers.cron
%attr(0600, root, root) %config /etc/ftplockout
